diff --git a/src/backend/catalog/genbki.pl b/src/backend/catalog/genbki.pl
index edd3aee..94c2d45 100644
*** a/src/backend/catalog/genbki.pl
--- b/src/backend/catalog/genbki.pl
*************** while (@ARGV)
*** 40,48 ****
      {
          push @include_path, length($arg) > 2 ? substr($arg, 2) : shift @ARGV;
      }
!     elsif ($arg =~ /^--set-version=(\d+\.\d+).*$/)
      {
          $major_version = $1;
      }
      else
      {
--- 40,52 ----
      {
          push @include_path, length($arg) > 2 ? substr($arg, 2) : shift @ARGV;
      }
!     elsif ($arg =~ /^--set-version=(.*)$/)
      {
          $major_version = $1;
+         # Extract version information, if any.
+         if ($major_version =~ /^(\d+.\d+)/) {
+             $major_version = $1;
+         }
      }
      else
      {
